Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/tools/docx-templates-twiddling/fixstyle.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/tools/docx-templates-twiddling/fixstyle.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/tools/docx-templates-twiddling/fixstyle.xsl	(revision 2397)
@@ -1,208 +1,212 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<xsl:stylesheet 
-    version="2.0"
-    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-    xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main"
-    exclude-result-prefixes="w">
+<xsl:stylesheet version="2.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main"
+	exclude-result-prefixes="w">
 
-  <xsl:output  encoding="UTF-8" standalone="yes" method="xml"/>
+	<xsl:output encoding="UTF-8" standalone="yes" method="xml" />
 
-  <xsl:template match="/w:styles">
-    <w:styles xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships"
-      xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main">
-      
-      <!-- copy all existing elements -->
-      <xsl:apply-templates/>
-      
-      <!-- create some new styles -->
-      <xsl:call-template name="create-egXML"/>
-      
-    </w:styles>
-  </xsl:template>
+	<xsl:template match="/w:styles">
+		<w:styles
+			xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships"
+			xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main">
 
-  <!-- identity transform -->
-  
-  <xsl:template match="@*|text()|comment()|processing-instruction()" >
-    <xsl:copy-of select="."/>
-  </xsl:template>
-  
-  <xsl:template match="*" >
-    <xsl:copy>
-      <xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()" 
-			   />
-    </xsl:copy>
-  </xsl:template>
+			<!-- copy all existing elements -->
+			<xsl:apply-templates />
 
-  <xsl:template match="w:style[@w:styleId='Tabletitle']//w:numId">
-    <w:numId w:val="5"/>
-  </xsl:template>
-  
-  <xsl:template match="w:style[@w:styleId='Bibliography']//w:numId">
-    <w:numId w:val="6"/>
-  </xsl:template>
+			<!-- create some new styles -->
+			<xsl:call-template name="create-egXML" />
 
-  <xsl:template match="w:style[@w:styleId='Figuretitle']//w:numId">
-    <w:numId w:val="7"/>
-  </xsl:template>
-  
-  <xsl:template match="w:spacing">
-    <xsl:choose>
-      <xsl:when test="ancestor::w:style[@w:styleId='Heading1']"/>
-      <xsl:when test="ancestor::w:style[@w:styleId='Heading2']"/>
-      <xsl:when test="ancestor::w:style[@w:styleId='Heading3']"/>
-      <xsl:when test="ancestor::w:style[@w:styleId='Heading4']"/>
-      <xsl:when test="ancestor::w:style[@w:styleId='Heading5']"/>
-      <xsl:when test="ancestor::w:style[@w:styleId='Heading6']"/>
-      <xsl:when test="ancestor::w:style[@w:styleId='Heading7']"/>
-      <xsl:when test="ancestor::w:style[@w:styleId='Heading8']"/>
-      <xsl:when test="ancestor::w:style[@w:styleId='Heading9']"/>
-      
-      <xsl:when test="ancestor::w:style[@w:styleId='ANNEX']"/>
-      <xsl:when test="ancestor::w:style[@w:styleId='a2']"/>
-      <xsl:when test="ancestor::w:style[@w:styleId='a3']"/>
-      <xsl:when test="ancestor::w:style[@w:styleId='a4']"/>
-      <xsl:when test="ancestor::w:style[@w:styleId='a5']"/>
-      <xsl:when test="ancestor::w:style[@w:styleId='a6']"/>
-      
-      <xsl:otherwise>
-        <w:spacing>
-          <xsl:apply-templates
-              select="*|@*|processing-instruction()|comment()|text()"
-          />
-        </w:spacing>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
-  
-  <xsl:template match="w:numPr">
-    <xsl:choose>
-      <xsl:when test="ancestor::w:style[@w:styleId='Heading1']">
-        <w:numPr>
-          <w:numId w:val="1"/>
-        </w:numPr>
-      </xsl:when>
-      
-      <xsl:when test="ancestor::w:style[@w:styleId='ANNEX']">
-        <w:numPr>
-          <w:numId w:val="3"/>
-        </w:numPr>
-      </xsl:when>
-      <xsl:when test="ancestor::w:style[@w:styleId='a2']">
-        <w:numPr>
-          <w:ilvl w:val="1"/>
-          <w:numId w:val="3"/>
-        </w:numPr>
-      </xsl:when>
-      <xsl:when test="ancestor::w:style[@w:styleId='a3']">
-        <w:numPr>
-          <w:ilvl w:val="2"/>
-          <w:numId w:val="3"/>
-        </w:numPr>
-      </xsl:when>
-      <xsl:when test="ancestor::w:style[@w:styleId='a4']">
-        <w:numPr>
-          <w:ilvl w:val="3"/>
-          <w:numId w:val="3"/>
-        </w:numPr>
-      </xsl:when>
-      <xsl:when test="ancestor::w:style[@w:styleId='a5']">
-        <w:numPr>
-          <w:ilvl w:val="4"/>
-          <w:numId w:val="3"/>
-        </w:numPr>
-      </xsl:when>
-      <xsl:when test="ancestor::w:style[@w:styleId='a6']">
-        <w:numPr>
-          <w:ilvl w:val="5"/>
-          <w:numId w:val="3"/>
-        </w:numPr>
-      </xsl:when>
-      
-      <xsl:when test="ancestor::w:style[@w:styleId='ListNumber']">
-        <w:numPr>
-          <w:numId w:val="8"/>
-        </w:numPr>
-      </xsl:when>
+		</w:styles>
+	</xsl:template>
 
-      <xsl:when test="ancestor::w:style[@w:styleId='ListNumber1']">
-        <w:numPr>
-          <w:ilvl w:val="1"/>
-          <w:numId w:val="8"/>
-        </w:numPr>
-      </xsl:when>
-      
-      <xsl:when test="ancestor::w:style[@w:styleId='ListNumber2']">
-        <w:numPr>
-          <w:ilvl w:val="2"/>
-          <w:numId w:val="8"/>
-        </w:numPr>
-      </xsl:when>
-      
-      <xsl:when test="ancestor::w:style[@w:styleId='ListNumber3']">
-        <w:numPr>
-          <w:ilvl w:val="3"/>
-          <w:numId w:val="8"/>
-        </w:numPr>
-      </xsl:when>
-      
-      <xsl:when test="ancestor::w:style[@w:styleId='ListNumber4']">
-        <w:numPr>
-          <w:ilvl w:val="4"/>
-          <w:numId w:val="8"/>
-        </w:numPr>
-      </xsl:when>
-      
-      <xsl:when test="ancestor::w:style[@w:styleId='ListNumber5']">
-        <w:numPr>
-          <w:ilvl w:val="5"/>
-          <w:numId w:val="8"/>
-        </w:numPr>
-      </xsl:when>
-      
-      <xsl:when test="ancestor::w:style[@w:styleId='ListBullet']">
-        <w:numPr>
-          <w:numId w:val="9"/>
-        </w:numPr>
-      </xsl:when>
-      
-      
+	<!-- identity transform -->
 
-      <xsl:otherwise>
-      	<w:numPr>
-      	  <xsl:apply-templates
-      	      select="*|@*|processing-instruction()|comment()|text()"
-      	      />
-      	</w:numPr>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
-  
-  <!-- new styles -->
-  <xsl:template name="create-egXML">
-    <w:style w:type="paragraph" w:customStyle="1" w:styleId="egXML">
-      <w:name w:val="egXML"/>
-      <w:basedOn w:val="Normal"/>
-      <w:qFormat/>
-      <w:pPr>
-	<w:jc w:val="left"/>
-      </w:pPr>
-      <w:rPr>
-        <w:rFonts w:ascii="Courier" w:hAnsi="Courier"/>
-        <w:sz w:val="20"/>
-      </w:rPr>
-    </w:style>
-    <w:style w:type="paragraph" w:customStyle="1" w:styleId="egXMLTable">
-      <w:name w:val="egXMLTable"/>
-      <w:basedOn w:val="Normal"/>
-      <w:qFormat/>
-      <w:pPr>
-	<w:spacing w:before="80" w:after="0"/>
-	<w:jc w:val="left"/>
-      </w:pPr>
-      <w:rPr>
-        <w:rFonts w:ascii="Courier" w:hAnsi="Courier"/>
-        <w:sz w:val="18"/>
-      </w:rPr>
-    </w:style>
-  </xsl:template>
+	<xsl:template
+		match="@*|text()|comment()|processing-instruction()">
+		<xsl:copy-of select="." />
+	</xsl:template>
+
+	<xsl:template match="*">
+		<xsl:copy>
+			<xsl:apply-templates
+				select="*|@*|processing-instruction()|comment()|text()" />
+		</xsl:copy>
+	</xsl:template>
+
+	<xsl:template
+		match="w:style[@w:styleId='Tabletitle']//w:numId">
+		<w:numId w:val="5" />
+	</xsl:template>
+
+	<xsl:template
+		match="w:style[@w:styleId='Bibliography']//w:numId">
+		<w:numId w:val="6" />
+	</xsl:template>
+
+	<xsl:template
+		match="w:style[@w:styleId='Figuretitle']//w:numId">
+		<w:numId w:val="7" />
+	</xsl:template>
+
+	<xsl:template match="w:spacing">
+		<xsl:choose>
+			<xsl:when test="ancestor::w:style[@w:styleId='Heading1']" />
+			<xsl:when test="ancestor::w:style[@w:styleId='Heading2']" />
+			<xsl:when test="ancestor::w:style[@w:styleId='Heading3']" />
+			<xsl:when test="ancestor::w:style[@w:styleId='Heading4']" />
+			<xsl:when test="ancestor::w:style[@w:styleId='Heading5']" />
+			<xsl:when test="ancestor::w:style[@w:styleId='Heading6']" />
+			<xsl:when test="ancestor::w:style[@w:styleId='Heading7']" />
+			<xsl:when test="ancestor::w:style[@w:styleId='Heading8']" />
+			<xsl:when test="ancestor::w:style[@w:styleId='Heading9']" />
+
+			<xsl:when test="ancestor::w:style[@w:styleId='ANNEX']" />
+			<xsl:when test="ancestor::w:style[@w:styleId='a2']" />
+			<xsl:when test="ancestor::w:style[@w:styleId='a3']" />
+			<xsl:when test="ancestor::w:style[@w:styleId='a4']" />
+			<xsl:when test="ancestor::w:style[@w:styleId='a5']" />
+			<xsl:when test="ancestor::w:style[@w:styleId='a6']" />
+
+			<xsl:otherwise>
+				<w:spacing>
+					<xsl:apply-templates
+						select="*|@*|processing-instruction()|comment()|text()" />
+				</w:spacing>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
+
+	<xsl:template match="w:numPr">
+		<xsl:choose>
+			<xsl:when test="ancestor::w:style[@w:styleId='Heading1']">
+				<w:numPr>
+					<w:numId w:val="1" />
+				</w:numPr>
+			</xsl:when>
+
+			<xsl:when test="ancestor::w:style[@w:styleId='ANNEX']">
+				<w:numPr>
+					<w:numId w:val="3" />
+				</w:numPr>
+			</xsl:when>
+			<xsl:when test="ancestor::w:style[@w:styleId='a2']">
+				<w:numPr>
+					<w:ilvl w:val="1" />
+					<w:numId w:val="3" />
+				</w:numPr>
+			</xsl:when>
+			<xsl:when test="ancestor::w:style[@w:styleId='a3']">
+				<w:numPr>
+					<w:ilvl w:val="2" />
+					<w:numId w:val="3" />
+				</w:numPr>
+			</xsl:when>
+			<xsl:when test="ancestor::w:style[@w:styleId='a4']">
+				<w:numPr>
+					<w:ilvl w:val="3" />
+					<w:numId w:val="3" />
+				</w:numPr>
+			</xsl:when>
+			<xsl:when test="ancestor::w:style[@w:styleId='a5']">
+				<w:numPr>
+					<w:ilvl w:val="4" />
+					<w:numId w:val="3" />
+				</w:numPr>
+			</xsl:when>
+			<xsl:when test="ancestor::w:style[@w:styleId='a6']">
+				<w:numPr>
+					<w:ilvl w:val="5" />
+					<w:numId w:val="3" />
+				</w:numPr>
+			</xsl:when>
+
+			<xsl:when test="ancestor::w:style[@w:styleId='ListNumber']">
+				<w:numPr>
+					<w:numId w:val="8" />
+				</w:numPr>
+			</xsl:when>
+
+			<xsl:when test="ancestor::w:style[@w:styleId='ListNumber1']">
+				<w:numPr>
+					<w:ilvl w:val="1" />
+					<w:numId w:val="8" />
+				</w:numPr>
+			</xsl:when>
+
+			<xsl:when test="ancestor::w:style[@w:styleId='ListNumber2']">
+				<w:numPr>
+					<w:ilvl w:val="2" />
+					<w:numId w:val="8" />
+				</w:numPr>
+			</xsl:when>
+
+			<xsl:when test="ancestor::w:style[@w:styleId='ListNumber3']">
+				<w:numPr>
+					<w:ilvl w:val="3" />
+					<w:numId w:val="8" />
+				</w:numPr>
+			</xsl:when>
+
+			<xsl:when test="ancestor::w:style[@w:styleId='ListNumber4']">
+				<w:numPr>
+					<w:ilvl w:val="4" />
+					<w:numId w:val="8" />
+				</w:numPr>
+			</xsl:when>
+
+			<xsl:when test="ancestor::w:style[@w:styleId='ListNumber5']">
+				<w:numPr>
+					<w:ilvl w:val="5" />
+					<w:numId w:val="8" />
+				</w:numPr>
+			</xsl:when>
+
+			<xsl:when test="ancestor::w:style[@w:styleId='ListBullet']">
+				<w:numPr>
+					<w:numId w:val="9" />
+				</w:numPr>
+			</xsl:when>
+
+
+
+			<xsl:otherwise>
+				<w:numPr>
+					<xsl:apply-templates
+						select="*|@*|processing-instruction()|comment()|text()" />
+				</w:numPr>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
+
+	<!-- new styles -->
+	<xsl:template name="create-egXML">
+		<w:style w:type="paragraph" w:customStyle="1"
+			w:styleId="egXML">
+			<w:name w:val="egXML" />
+			<w:basedOn w:val="Normal" />
+			<w:qFormat />
+			<w:pPr>
+				<w:jc w:val="left" />
+			</w:pPr>
+			<w:rPr>
+				<w:rFonts w:ascii="Courier" w:hAnsi="Courier" />
+				<w:sz w:val="20" />
+			</w:rPr>
+		</w:style>
+		<w:style w:type="paragraph" w:customStyle="1"
+			w:styleId="egXMLTable">
+			<w:name w:val="egXMLTable" />
+			<w:basedOn w:val="Normal" />
+			<w:qFormat />
+			<w:pPr>
+				<w:spacing w:before="80" w:after="0" />
+				<w:jc w:val="left" />
+			</w:pPr>
+			<w:rPr>
+				<w:rFonts w:ascii="Courier" w:hAnsi="Courier" />
+				<w:sz w:val="18" />
+			</w:rPr>
+		</w:style>
+	</xsl:template>
 </xsl:stylesheet>
Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/tools/docx-templates-twiddling/fixdocprop.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/tools/docx-templates-twiddling/fixdocprop.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/tools/docx-templates-twiddling/fixdocprop.xsl	(revision 2397)
@@ -1,38 +1,39 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<xsl:stylesheet 
-    version="2.0"
-    xmlns:p="http://schemas.openxmlformats.org/officeDocument/2006/custom-properties" 
-    xmlns:vt="http://schemas.openxmlformats.org/officeDocument/2006/docPropsVTypes"    
-    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-    xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main"
-    exclude-result-prefixes="w vt p">
+<xsl:stylesheet version="2.0"
+	xmlns:p="http://schemas.openxmlformats.org/officeDocument/2006/custom-properties"
+	xmlns:vt="http://schemas.openxmlformats.org/officeDocument/2006/docPropsVTypes"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main"
+	exclude-result-prefixes="w vt p">
 
-  <xsl:output  encoding="UTF-8" standalone="yes" method="xml"/>
+	<xsl:output encoding="UTF-8" standalone="yes" method="xml" />
 
-  <xsl:param name="template"/>
-  <!-- identity transform -->
-  
-  <xsl:template match="@*|text()|comment()|processing-instruction()" >
-    <xsl:copy-of select="."/>
-  </xsl:template>
-  
-  <xsl:template match="*" >
-    <xsl:copy>
-      <xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()" />
-    </xsl:copy>
-  </xsl:template>
+	<xsl:param name="template" />
+	<!-- identity transform -->
 
-  <xsl:template match="p:Properties">
-    <xsl:copy>
-      <xsl:apply-templates select="@*"/>
-      <property pid="1" name="Template">
-	<xsl:attribute name="fmtid">
+	<xsl:template
+		match="@*|text()|comment()|processing-instruction()">
+		<xsl:copy-of select="." />
+	</xsl:template>
+
+	<xsl:template match="*">
+		<xsl:copy>
+			<xsl:apply-templates
+				select="*|@*|processing-instruction()|comment()|text()" />
+		</xsl:copy>
+	</xsl:template>
+
+	<xsl:template match="p:Properties">
+		<xsl:copy>
+			<xsl:apply-templates select="@*" />
+			<property pid="1" name="Template">
+				<xsl:attribute name="fmtid">
 	  <xsl:text>{D5CDD505-2E9C-101B-9397-08002B2CF9AE}</xsl:text>
 	</xsl:attribute>
-	<vt:lpwstr>
-	  <xsl:value-of select="$template"/>
-	</vt:lpwstr>
-      </property>
-    </xsl:copy>
-  </xsl:template>
+				<vt:lpwstr>
+					<xsl:value-of select="$template" />
+				</vt:lpwstr>
+			</property>
+		</xsl:copy>
+	</xsl:template>
 </xsl:stylesheet>
Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/tools/tangle.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/tools/tangle.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/tools/tangle.xsl	(revision 2397)
@@ -1,27 +1,29 @@
 <?xml version="1.0" encoding="utf-8"?>
-<xsl:stylesheet xmlns:m="http://www.w3.org/1998/Math/MathML" xmlns:fotex="http://www.tug.org/fotex"
-                xmlns:edate="http://exslt.org/dates-and-times"
-                xmlns:estr="http://exslt.org/strings"
-                xmlns:exsl="http://exslt.org/common"
-                xmlns:tei="http://www.tei-c.org/ns/1.0"
-                xmlns:teix="http://www.tei-c.org/ns/Examples"
-                xmlns:html="http://www.w3.org/1999/xhtml"
-                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-                xmlns:fo="http://www.w3.org/1999/XSL/Format"
-                xmlns:rng="http://relaxng.org/ns/structure/1.0"
-                xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0"
-                
-                xmlns:XSL="http://www.w3.org/1999/XSL/Transform"
-                extension-element-prefixes="exsl estr edate"
-                exclude-result-prefixes="exsl edate a fo rng tei teix fotex m html"
-                version="1.0">
-   <xsl:output indent="yes" encoding="utf-8"/>
+<xsl:stylesheet
+	xmlns:m="http://www.w3.org/1998/Math/MathML"
+	xmlns:fotex="http://www.tug.org/fotex"
+	xmlns:edate="http://exslt.org/dates-and-times"
+	xmlns:estr="http://exslt.org/strings"
+	xmlns:exsl="http://exslt.org/common"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	xmlns:teix="http://www.tei-c.org/ns/Examples"
+	xmlns:html="http://www.w3.org/1999/xhtml"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:fo="http://www.w3.org/1999/XSL/Format"
+	xmlns:rng="http://relaxng.org/ns/structure/1.0"
+	xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0"
 
-   <xsl:template match="XSL:stylesheet">
-      <xsl:copy>
-         <xsl:copy-of select="@*"/>
-         <xsl:copy-of select="XSL:*"/>
-      </xsl:copy>
-   </xsl:template>
+	xmlns:XSL="http://www.w3.org/1999/XSL/Transform"
+	extension-element-prefixes="exsl estr edate"
+	exclude-result-prefixes="exsl edate a fo rng tei teix fotex m html"
+	version="1.0">
+	<xsl:output indent="yes" encoding="utf-8" />
 
+	<xsl:template match="XSL:stylesheet">
+		<xsl:copy>
+			<xsl:copy-of select="@*" />
+			<xsl:copy-of select="XSL:*" />
+		</xsl:copy>
+	</xsl:template>
+
 </xsl:stylesheet>
\ No newline at end of file
Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/tools/checki18n.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/tools/checki18n.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/tools/checki18n.xsl	(revision 2397)
@@ -1,23 +1,25 @@
 <?xml version="1.0" encoding="utf-8"?>
-<xsl:stylesheet xmlns:rng="http://relaxng.org/ns/structure/1.0"
-                xmlns:tei="http://www.tei-c.org/ns/1.0"
-                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-                version="1.0"
-                exclude-result-prefixes="rng tei">
-   <xsl:output method="xml" encoding="utf-8" indent="yes"/>
-   <xsl:param name="lang">ja</xsl:param>
+<xsl:stylesheet
+	xmlns:rng="http://relaxng.org/ns/structure/1.0"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
+	exclude-result-prefixes="rng tei">
+	<xsl:output method="xml" encoding="utf-8" indent="yes" />
+	<xsl:param name="lang">
+		ja
+	</xsl:param>
 
-   <xsl:template match="/i18n">
-      <i18n>
-         <xsl:for-each select="entry">
-            <xsl:if test="not(text[@xml:lang=$lang])">
-	              <entry>
-	                 <xsl:copy-of select="key"/>
-	                 <xsl:copy-of select="text[@xml:lang='en']"/>
-	                 <text xml:lang="{$lang}"/>
-	              </entry>
-            </xsl:if>
-         </xsl:for-each>
-      </i18n>
-   </xsl:template>
+	<xsl:template match="/i18n">
+		<i18n>
+			<xsl:for-each select="entry">
+				<xsl:if test="not(text[@xml:lang=$lang])">
+					<entry>
+						<xsl:copy-of select="key" />
+						<xsl:copy-of select="text[@xml:lang='en']" />
+						<text xml:lang="{$lang}" />
+					</entry>
+				</xsl:if>
+			</xsl:for-each>
+		</i18n>
+	</xsl:template>
 </xsl:stylesheet>
\ No newline at end of file
